﻿@model List<LoyaltyPointEngine.Model.Parameter.Receipt.UploadReceiptFromExcelResultCMSModel>
@{
    List<string> ListError = new List<string>();
    var aaaa = Model;
}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Upload Receipt</h3>
    </div>    <!-- Page Stats -->
    <ul class="page-stats">
        <li>
            <a href="@Url.Action(MVC.Receipt.DownloadExcelTemplate())" class="btn btn-icon input-block-level">
                <i class="icon-group"></i>
                <div>Download Excel Templates</div>
            </a>
        </li>
    </ul>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->

<div class="row">
        
    <div class="col-md-12">
            @if (!Html.ViewData.ModelState.IsValid)
            {
                <div class="alert alert-danger">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    <i class="fa fa-times-circle"></i>
                    Error occured: <br />
                    @Html.ValidationSummary()
                    <hr />
                    @if (ListError.Count > 0)
                    {
                        <ul style="list-style-type:circle;">
                            @foreach (var err in ListError)
                            {
                                <li>
                                    @err
                                </li>
                            }
                        </ul>
                    }
                </div>
            }

            @using (Html.BeginForm("UploadFromExel", "Receipt", FormMethod.Post, new { enctype = "multipart/form-data" }))
            {
                <div class="form-group">
                    <label class="col-md-12 control-label"><i>MemberPhone, RetailerCode, TransactionDate, TransactionTime, ProductCode is mandatory</i></label>
                </div>
                <div class="form-group">
                    <div class="col-md-4">
                        <input type="file" name="excelFile" class="btn btn-primary" />
                    </div>
                    <div class="col-md-1">
                        <button type="button" class="btn btn-primary" id="btnSubmit" style="margin-top:6px;">Submit</button>
                    </div>
                </div>
            }
            <br />
            <br />
    </div>
    

</div>
<div class="row">

    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>Result</h4>
            </div>
            @Html.Grid(Model).Columns(columns =>
        {
            //columns.Add(x => x.ReceiptID)
            //    .Titled("Receipt ID")
            //    .Encoded(false)
            //    .Sanitized(false)
            //    .Sortable(true);

            columns.Add(x => x.MemberPhone)
                .Titled("MemberPhone")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true);

            columns.Add(x => x.TransactionCode)
                .Titled("TransactionCode")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true);

            columns.Add(x => x.RetailerCode)
                .Titled("RetailerCode")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true);

            columns.Add(x => x.TransactionDate)
                .Titled("TransactionDate")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true).RenderValueAs(x => string.Format("<span>{0}<br/>{1}</span>", x.TransactionDate, x.TransactionTime));

            //columns.Add(x => x.TransactionTime)
            //    .Titled("TransactionTime")
            //    .Encoded(false)
            //    .Sanitized(false)
            //    .Sortable(true);

            columns.Add(x => x.ProductCode)
                .Titled("ProductCode")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true);

            columns.Add(x => x.Quantity)
                .Titled("Quantity")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true);

            columns.Add(x => x.Channel)
                .Titled("Channel")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true);

            columns.Add(x => x.result)
                .Titled("Result")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true).RenderValueAs(x => string.Format("<span><strong>{0}</strong></span><br/><p>{1}</p>", x.result, x.message)).SetWidth(300);

      

        }).WithPaging(500)
        </div>
    </div>
</div>
        @section FooterScript {
            <script type="text/javascript">
                $(document).ready(function () {
                    $('#btnSubmit').click(function () {
                        var fileName = $('[name="excelFile"]').val().trim();

                        var pos = fileName.lastIndexOf('.');
                        var extension = (pos <= 0) ? '' : fileName.substring(pos);
                        if (extension != '.xlsx') {
                            alert('Please browse a correct excel file to upload');
                            return;
                        }

                        $('form').submit();
                    });
                });
            </script>
        }
